'use strict';
        
var homepageController = [
    "$location",
    "$scope",
    "GeneanetDevice",
    "ConfigurationService",
    "ProjectService",
    function($location, $scope, GeneanetDevice, ConfigurationService, ProjectService) {
        document.addEventListener('deviceready', GeneanetDevice.determineOrientationCurrentPage);

        ProjectService.setCurrentIdProject(null);
        ProjectService.setCurrentIdDepot(null);
        ProjectService.setCurrentIdPicture(null);

        ConfigurationService.add("first_help_read", "true", function(){
            $scope.$apply(function() {
                $location.path("/configuration/help/");
            });
        });

        ConfigurationService.add("picturesPublished", 0, function() {
            ConfigurationService.add("dateStartCount", (new Date()).toString());
        });
    }
];