'use strict';
        
var connexionController = [
    "$scope",
    "$location",
    "$translate",
    "GeneanetDevice",
    "GeneanetOverlay",
    "ConnexionService",
    "ConfigurationService",
    function($scope, $location, $translate, GeneanetDevice, GeneanetOverlay, ConnexionService, ConfigurationService) {
        document.addEventListener('deviceready', GeneanetDevice.determineOrientationCurrentPage);

        $scope.connectProgress = false;

        $scope.back = function () {
            window.history.back();
        }

        $scope.$on("tryConnexion", function(event, data) {
            if (data.success) {
                $scope.$on("configurationLoaded", function() {
                    if (ConfigurationService.exist("login")) {
                        ConfigurationService.edit("login", $scope.login, function() {
                            ConnexionService.redirect();
                        });
                    } else {
                        ConfigurationService.add("login", $scope.login, function() {
                            ConnexionService.redirect();
                        });
                    }
                });
                ConfigurationService.loadConfig();
            } else {
                // erreur de connexion
                $scope.$apply(function() {
                    $scope.connectProgress = false;
                });
                
                GeneanetOverlay.openOverlay(
                    $translate.instant("connexion.error"),
                    $translate.instant("connexion.error_more")
                );
            }
        });

        $scope.connexion = function() {
            $scope.connectProgress = true;
            ConnexionService.connect($scope.login, $scope.password, "tryConnexion");
        }

        $scope.startSubscribe = function() {
            window.open('https://www.geneanet.org/subscribe/', '_system', 'location=yes')
        }
    }
]