'use strict';
        
var helpController = [
    "$scope",
    "GeneanetDevice",
    function($scope, GeneanetDevice) {
        document.addEventListener('deviceready', GeneanetDevice.determineOrientationCurrentPage);

        var touchs = {};

        angular.element("#slider-help").carousel({
            interval : null
        });

        angular.element("#slider-help").on("touchstart", function(event){
            var dataEvent = event.originalEvent.targetTouches[0];
            touchs[dataEvent.identifier] = {x: dataEvent.pageX, y: dataEvent.pageY};
        });

        angular.element("#slider-help").on("touchmove", function(event){
            event.preventDefault();
            var dataEvent = event.originalEvent.targetTouches[0];
            var previous = touchs[dataEvent.identifier];
            if (Math.abs(previous.x - dataEvent.pageX) > 40) {
                if (previous.x > dataEvent.pageX) {
                    $scope.changeSlide("next");
                } else {
                    $scope.changeSlide("prev");
                }
                touchs[dataEvent.identifier] = {x: dataEvent.pageX, y: dataEvent.pageY};
            }
        });

        $scope.changeSlide = function(direction) {
            angular.element("#slider-help").carousel(direction);
        }

        $scope.back = function() {
            window.history.back();
        }

        angular.element("#slider-help").on("slid.bs.carousel", function(){
            var lastPage = false;
            
            if (angular.element(".item.active:last-child").length > 0) {
                lastPage = true;
            }

            $scope.$apply(function(){
                $scope.lastPage = lastPage;
            });
        });
    }
];